#4066 closed defect (fixed)

test running for too long

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 6.1
Component: test Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The spcache01 test on my PC test hardware is not finishing. It is looping generating output. Add a Test too long error count and end the test after 5 minutes.

Change History (5)

comment:1 Changed on Aug 30, 2020 at 2:51:51 PM by Sebastian Huber

Which test case runs too long and why?

comment:2 in reply to:  1 Changed on Aug 31, 2020 at 3:27:33 AM by Chris Johns

Replying to Sebastian Huber:

Which test case runs too long and why?

The test is spcache01. I do not know the reason but I am using it to add support to handle a stuck test that loops for ever generating output.

comment:3 Changed on Aug 31, 2020 at 6:34:43 AM by Sebastian Huber

The spcache01 test program contains several test cases. If one of them loops forever, then there is a bug in the test or the cache support.

For the test runner wouldn't this be a timed out test?

comment:4 Changed on Aug 31, 2020 at 7:52:45 AM by Chris Johns

This ticket is about the tester being able to handle that case. The failure has highlighted a need for the tester to detect this, end the test and report the failure.

comment:5 Changed on Sep 25, 2020 at 1:16:43 AM by Chris Johns

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.